Name:           bb
Version:        1.3
Release:        0.1.rc1%{?dist}
Summary:        High quality audio-visual demonstration for your text terminal

Group:          Amusements/Games
License:        GPLv2+
URL:            http://aa-project.sourceforge.net/bb/
Source0:        http://downloads.sourceforge.net/aa-project/bb-1.3rc1.tar.gz
Patch1:		bb-no-registers.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  aalib-devel, mikmod-devel

%description
BB is an high quality audio-visual demonstration for your text terminal.
It is portable demo, so you can run it on plenty of operating systems and DOS.

%prep
%setup -q -n %{name}-%{version}.0
%patch1 -p1


%build
%configure
make %{?_smp_mflags} LDFLAGS=-lm


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.LZO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Thu Aug 06 2009 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.3-0.1.rc1
- initial build
